package com.inspect.metadata.mqtt.mapper;

import com.inspect.metadata.mqtt.domain.HrNest;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface HrNestMapper {
    List<HrNest> selectNestList(HrNest nest);

    int batchInsert(List<HrNest> batchToSave);

    HrNest selectNestByCode(String nestCode);

    int deleteBeforeDaysAgo(int i);
}
